aboutsummaryrefslogtreecommitdiffstats
path: root/main/slang
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
commitb70981b68efcce5256eb11c6cd26ae123b10b6ea (patch)
treea38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/slang
parent2b4df81538b8398442d5296650905c70341dd8d3 (diff)
downloadaports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.gz
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/slang')
-rw-r--r--main/slang/APKBUILD27
-rw-r--r--main/slang/slang-2.1.3-uclibc.patch12
2 files changed, 39 insertions, 0 deletions
diff --git a/main/slang/APKBUILD b/main/slang/APKBUILD
new file mode 100644
index 0000000000..c1fe962000
--- /dev/null
+++ b/main/slang/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=slang
+pkgver=2.1.4
+pkgrel=0
+pkgdesc="S-Lang is a powerful interpreted language"
+url="http://www.s-lang.org/"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc pcre"
+makedepends="pcre-dev"
+source="ftp://ftp.fu-berlin.de/pub/unix/misc/$pkgname/v2.1/$pkgname-$pkgver.tar.gz
+ slang-2.1.3-uclibc.patch
+ "
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 < $i || return 1
+ done
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc || return 1
+ make || return 1
+ make install-all DESTDIR="$pkgdir" || return 1
+}
+md5sums="3516f593bc04975844f26137c18275d2 slang-2.1.4.tar.gz
+56ca82f415578994b6050e769b6b7bc9 slang-2.1.3-uclibc.patch"
diff --git a/main/slang/slang-2.1.3-uclibc.patch b/main/slang/slang-2.1.3-uclibc.patch
new file mode 100644
index 0000000000..d7ed5a8d65
--- /dev/null
+++ b/main/slang/slang-2.1.3-uclibc.patch
@@ -0,0 +1,12 @@
+diff -ur slang-2.1.3.orig/src/slcommon.c slang-2.1.3/src/slcommon.c
+--- slang-2.1.3.orig/src/slcommon.c 2007-01-10 18:09:07.000000000 +0200
++++ slang-2.1.3/src/slcommon.c 2008-03-19 16:09:09.000000000 +0200
+@@ -191,7 +191,7 @@
+ return p;
+ }
+
+-#if !defined(HAVE_ISSETUGID) && defined(__GLIBC__) && (__GLIBC__ >= 2)
++#if !defined(HAVE_ISSETUGID) && defined(__GLIBC__) && (__GLIBC__ >= 2) && !defined(__UCLIBC__)
+ extern int __libc_enable_secure;
+ # define HAVE___LIBC_ENABLE_SECURE 1
+ #endif